/*
 * Synthèse additive des couleurs
 */

// Déclaration des noms des entrées Arduino reliées aux bornes de la led rgb 
const int PIN_LED_R = 9;
const int PIN_LED_V = 10;
const int PIN_LED_B = 11;

// Durée d'éclairement de la led pour chaque couleur produite :
int duree =2000; 

/* Fonction setup(), appelée une seule fois 
   
 */
void setup() {

  // Initialisation des entrées 
  pinMode(PIN_LED_R, OUTPUT); // Borne de la led succeptible d'être alimentée par la carte Arduino
  pinMode(PIN_LED_V, OUTPUT); // Borne de la led succeptible d'être alimentée par la carte Arduino
  pinMode(PIN_LED_B, OUTPUT); // Borne de la led succeptible d'être alimentée par la carte Arduino
  affichage (0, 0, 0); // Initialisation de la fonction affichage
}

// Fonction principale à modifier :

void loop() {
      affichage (255, 0, 0); // Il y a plus de 16 millions de possibilités ! 
}



// Déclaration de la fonction affichage :

void affichage (int r, int g, int b) {

    analogWrite(PIN_LED_R, r);
    analogWrite(PIN_LED_V, g);
    analogWrite(PIN_LED_B, b);
    delay(duree); // La lumière est produite pendant une "durée" donnée (2000 ms = 2 s par défaut).
   
  
}

